body {
    height: 100vh;
    position: relative;  
    overflow: hidden;
    font-family: raleway;
}

a {
    text-decoration: none;
    color: inherit;
    transition: opacity 0.5s ease;
    cursor: pointer;
}

a:visited {
    color: inherit;
    text-decoration: none;
    outline: none;
}

a img, a img:visited {
    outline: none;
    border: 0;
}

a, a img:focus {
    outline: none;
}

a:hover:not(.projMedia):not(#logo) {
    opacity: 0.5;
}

/*///////////////*/
                                    /* Page Header   */
/*///////////////*/

header {
    position: fixed;
    height: 12vh;
    width: 100%;
    z-index: 1;
    background:
         url("/?originalUrl=https%3A%2F%2Falphanumeric0101.github.io%2Fimages%2Fgridbg-resize-top.jpg") no-repeat center;
    background-size: cover;
}

/*///////////////*/
                                    /*    Nav Bar    */
/*///////////////*/

nav {
    position: absolute;
    z-index: 2;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    align-content: center;
    align-items: center;
    top: 12vh;
    height: 12vh;
    width: 100%;
    background-color: black;
}

nav span:not(.signature){
    color: white;
    flex-grow: 0;
    flex-shrink: 0;
    flex-basis: 0;
    text-align: center;
    margin: 2vw;
    font-size: 2.5em;
    opacity: 0;
    min-width: 50px;
}

nav a {
	min-width: 50px;
}

nav .signature {
    padding: 0;
    margin: 0 0.5em 0 0.5em;
    max-width: 100px;
    max-height: 100px;
}

nav img {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    transition: box-shadow 0.5s ease;
}

nav img:hover {
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.9);
}

/*///////////////*/
                                    /*    Projects   */
/*///////////////*/

main { 
    z-index: 0;
    position: relative;
    top: 5vh;
    left: 10%;
    width: 80%;
    height: 100%;
    overflow: hidden;
    font-weight: 400;
    font-size: 1.2em;
    opacity: 1;
}

article {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-content: stretch;
    align-items: center;
    height: 100%;
    z-index: 2;
}

.projMedia {
    flex-grow: 1;
    flex-shrink: 0;
    flex-basis: 0;
    height: 50%;
    width: 100%;
    transition: opacity 0.5s ease;
}

.projMedia:hover {
    opacity: 0.75;
}

#dispatchr a.projMedia {
    background: url("/?originalUrl=https%3A%2F%2Falphanumeric0101.github.io%2Fimages%2Fdispatchr-screen-square.png") no-repeat center;
    background-size: contain;
}

#pomodoit a.projMedia {
    background: url("/?originalUrl=https%3A%2F%2Falphanumeric0101.github.io%2Fimages%2Fpomodo-it-square.png") no-repeat center;
    background-size: contain;
}

#myFace a.projMedia {
    background: url("/?originalUrl=https%3A%2F%2Falphanumeric0101.github.io%2Fimages%2FmyFace-blue-key.png") no-repeat center;
    background-size: contain;
}

#dreamteam a.projMedia {
    background: url("/?originalUrl=https%3A%2F%2Falphanumeric0101.github.io%2Fimages%2Fccscreen.png") no-repeat center;
    background-size: contain;
}

.projDetails {
    flex-grow: 1;
    flex-shrink: 0;
    flex-basis: 0;
    width: 100%;
    padding: 2em;
    text-align: right;
}

.projectLogo {
    position: relative;
    top: 5px;
    left: 10px;
    max-width: 40px;
    display: inline;
}

.projTitle {
    display: inline;
    letter-spacing: 0.08em;
}

.projTagline {
    line-height: 1.1em;
}

.projDesc {
    line-height: 1.5em;
}

.demoCode {
    position: relative;
    top: 5px;
    font-weight: 400;
}

/*///////////////*/
                                    /*    About Modal   */
/*///////////////*/

#modal a {
    font-weight: 600;
}

.aboutWrapper {
    width: 80vw;
    height: 60vh;
    background-color: white;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-content: stretch;
    align-items: center;
    height: 100%;
}

.aboutMedia {
    flex-grow: 1;
    flex-shrink: 0;
    flex-basis: 0;
    width: 100%;
    height: 45vh;
    background: url("/?originalUrl=https%3A%2F%2Falphanumeric0101.github.io%2Fimages%2Fbikebg-smaller.jpg") no-repeat center;
    background-size: contain;
}

.aboutInfo {
    flex-grow: 1;
    flex-shrink: 0;
    flex-basis: 0;
    width: 100%;
    text-align: right;
    padding: 0 1em 0 1em;
}

#close-modal {
    font-size: 2em;
    width: 50px;
    position: relative;    
    cursor: pointer;
    padding: 30px 10px 0 10px;
}

/*///////////////*/
                            /* Media Queries */
/*///////////////*/

@media screen and (min-width: 1200px) {
    main {
        top: 2vh;
        font-size: 1.5em;
        width: 90%;
        left: 5%;
    }
}

@media screen and (max-width: 720px) {
    header {
        height: 8vh;
    }
    nav {
        font-size: 0.9em;
        top: 8vh;
    }
    
    nav .signature {
        max-width: 100px;
    }
    
    main {
        top: 20%;
        padding: 5px 0 5px 0;
        height: 90%;
        width: 100%;
        left: 0;
        font-size: 0.9em;
    }
    
    article {
        flex-direction: column;
    }
    
    #projMedia-dispatchr, #projMedia-dreamteam {
        background-size: cover;
        background-position: bottom;
        margin-bottom: -1em;
    }
    
    #projMedia-myFace {
        background-size: contain;
        background-position: center;
        margin-bottom: -1em;
        max-height: 200px;
        margin-top: 3em;
    }
    
    .projDetails {
        text-align: center;
    }

    .projDesc {
        padding: 0 1em 0 1em;
    }
    
    .projTitle {
        line-height: 1em;
    }
    
    #demo-code {
        top: 0;
        font-weight: 800;
        font-size: 1.2em;
        margin-bottom: 1em;
    }
    
    /*/////////////////////////////////
            Modal + Media Queries
    /////////////////////////////////*/
    
    .aboutInfo {
        text-align: center;
    }
    
    .aboutWrapper {
        width: 100vw;
        height: 100vh;
        flex-direction: column;
        overflow: hidden;
        padding-top: 1em;
    }
    
    #close-modal {
        display: block;
        margin: auto;
    }

}

/*///////////////////////////////////////////////
    Custom Modal Fade In Styles
///////////////////////////////////////////////*/

#modal_background {
    -webkit-transition: all 0.3s;
       -moz-transition: all 0.3s;
            transition: all 0.3s;
}
#modal,
#modal_wrapper {
    -webkit-transition: all 0.3s ease-out;
       -moz-transition: all 0.3s ease-out;
            transition: all 0.3s ease-out;
}
#modal {
    -webkit-transform: translateX(0) translateY(-40%);
       -moz-transform: translateX(0) translateY(-40%);
        -ms-transform: translateX(0) translateY(-40%);
            transform: translateX(0) translateY(-40%);
}
.popup_visible #modal {
    -webkit-transform: translateX(0) translateY(0);
       -moz-transform: translateX(0) translateY(0);
        -ms-transform: translateX(0) translateY(0);
            transform: translateX(0) translateY(0);
}


